<!-- 运营后台活动保存、修改页面 -->
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style>
    #content{
        margin-top: 100px;
        margin-left: 100px;
    }
    #party_list div{
        margin-bottom: 20px
    }
</style>
<script src='/static/jquery.js'></script>
<script>
    $(function () {
        var id = GetQueryString('id');
            if(id){
                $.get("/oper/oper_party_view",{"id":id},
                    function(data){
                        data_view = data.data
                        $("#id").val(data_view.id);
                        $("#party_name").val(data_view.party_name);
                        $("#party_chnl_id").val(data_view.party_chnl_id);
                        $("#party_chnl_name").val(data_view.party_chnl_name);
                        $("#begin_time").val(data_view.begin_time);
                        $("#end_time").val(data_view.end_time);
                        $("#party_pos").val(data_view.party_pos);
                        $("#party_url").val(data_view.party_url);
                        $("#party_desc").val(data_view.party_desc);
                        $("#photo_details").val(data_view.photo_details);
                    }
            )

        }

        
    });

    function GetQueryString(name){
        var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
        var r = window.location.search.substr(1).match(reg);
        if(r!=null)return  unescape(r[2]); return null;
    }

    function toRemind(id){
        $.get("/oper/triger_task",function(data){
            alert(JSON.stringify(data))
        });
    }

    function save() {
        var id = $("#id").val();
        var party_name = $("#party_name").val();
        var party_chnl_id = $("#party_chnl_id").val();
        var begin_time = $("#begin_time").val();
        var end_time = $("#end_time").val();
        var party_pos = $("#party_pos").val();
        var party_url = $("#party_url").val();
        var party_desc = $("#party_desc").val();
        var photo_details= $("#photo_details").val();

        $.post("/oper/oper_party_save",{"id":id,"party_name":party_name,"party_chnl_id":party_chnl_id,
        "begin_time":begin_time,"end_time":end_time,"party_pos":party_pos,"party_url":party_url,
        "party_desc":party_desc,"photo_details":photo_details
        },function(data){
            alert(JSON.stringify(data))
        })
    }
</script>
</head>
<body>
   <div id = "content">
        <h3>
            聚会活动列表：
        </h3>
        <div id="party_list">
                <div>
                <label>PartyId：</label><input type = "text" id="id" readonly="readonly"/> <br/>
                <label>Party名称：</label><input type = "text" id="party_name" /><br/>
                <label>Party类别id：</label><input type = "text" id="party_chnl_id" /><br/>
                <label>Party类别名称：</label><input type = "text" id="party_chnl_name" readonly="readonly"/><br/>
                <label>Party开始时间：</label><input type = "text" id="begin_time" /><br/>
                <label>Party结束时间：</label><input type = "text" id="end_time" /><br/>
                <label>Party地点：</label><input type = "text" id="party_pos" /><br/>
                <label>Party活动主图：</label><input type = "text" id="party_url" /><br/>
                <label>Party活动描述：</label><input type = "text" id="party_desc" /><br/>
                <label>Party明细图：</label><input type = "text" id="photo_details" /><br/>
                <input type="button" value="保存" onclick="save()">
                </div>

        </div>
   </div> 

</body>
</html>